package com.ruoyi.buyerapi.mapper;

import java.util.List;
import com.ruoyi.buyerapi.domain.BuyerAgreement;

/**
 * 系统协议Mapper接口
 * 
 * @author ruoyi
 * @date 2022-09-19
 */
public interface BuyerAgreementMapper 
{
    /**
     * 查询系统协议
     * 
     * @param id 系统协议主键
     * @return 系统协议
     */
    public BuyerAgreement selectBuyerAgreementById(String id);

    /**
     * 查询系统协议列表
     * 
     * @param buyerAgreement 系统协议
     * @return 系统协议集合
     */
    public List<BuyerAgreement> selectBuyerAgreementList(BuyerAgreement buyerAgreement);

    /**
     * 新增系统协议
     * 
     * @param buyerAgreement 系统协议
     * @return 结果
     */
    public int insertBuyerAgreement(BuyerAgreement buyerAgreement);

    /**
     * 修改系统协议
     * 
     * @param buyerAgreement 系统协议
     * @return 结果
     */
    public int updateBuyerAgreement(BuyerAgreement buyerAgreement);

    /**
     * 删除系统协议
     * 
     * @param id 系统协议主键
     * @return 结果
     */
    public int deleteBuyerAgreementById(String id);

    /**
     * 批量删除系统协议
     * 
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteBuyerAgreementByIds(String[] ids);
}
